02 июля 2013

Установить LibreOffice 4.1 RC 1 в Ubuntu 13.04/12.10/12.04 и Linux Mint 15/14/13

Разработчики Document Foundation несколько дней назад выпустили первую версию LibreOffice 4.1 релиз-кандидат, в которой среди прочих инноваций внедрена новая боковая панель, а также исправлены ряд ошибок для поддержки импорта документов Writer в  Microsoft Office, значительно сокращён запуск программы с помощью новых алгоритмов и многое другое.



Установка LibreOffice 4.1 RC1

Откройте терминал (Ctrl+Alt+T), скопируйте и выполните данную последовательность команд:

sudo add-apt-repository ppa:libreoffice/libreoffice-prereleases
sudo apt-get update
sudo apt-get install libreoffice


После установки откройте любое приложение LibreOffice для включения боковой панели: Меню -> Сервис -> Параметры -> Расширенные возможности и активируйте два пункта взятые в рамку на снимке и нажмите Да:


А теперь вновь прейдите: Меню ->Вид и активируйте опцию - Sidebar:


Примечание. Если у вас после выполнения команды: sudo apt-get install libreoffice терминал выдаст следующее:

Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
libreoffice : Зависит: fonts-dejavu но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.


Откройте Менеджер обновлений, где скорее всего будет предложено обновить пакеты LibreOffice. Сделайте обновление и можете использовать LibreOffice 4.1 RC 1.

Вот и всё.


Удачи.

  Если у вас появились вопросы, обращайтесь на наш форум:  http://compizomania.54672.x6.nabble.com/  

23 комментария :

  1. sudo apt-get install libreoffice
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    libreoffice : Зависит: fonts-dejavu но он не может быть установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    Ubuntu 13.04 32x

    ОтветитьУдалить
    Ответы
    1. В этом случае открой Менеджер обновлений, где будет предложено обновить пакеты LibreOffice.

      Удалить
    2. Установился.
      Version: 4.1.0.1
      Build ID: 410m0(Build:1) - сейчас заценю.

      Удалить
  2. Благодарю, все прекрасно установилось! Огромная благодарность за ваш труд, за советы и новинки. Ваш блог проверяется на наличие новых постов каждое утро, вместе с чтением новостей! Для меня это путеводитель в мире Убунту. Всех вам благ!

    ОтветитьУдалить
  3. А никто не в курсе, они многовкладочность не собираются реализовать?

    ОтветитьУдалить
  4. Скажите, а если уже стоит более ранняя версия LibreOffice, её надо перед тем удалять, или нет? А то, у меня получилось что-то такое:

    sudo apt-get install libreoffice
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Следующий пакет устанавливался автоматически и больше не требуется:
    wine-gecko1.9
    Для его удаления используйте «apt-get autoremove».
    Предлагаемые пакеты:
    myspell-dictionary hyphen-hyphenation-patterns libreoffice-grammarcheck
    openclipart-libreoffice pstoedit fonts-sil-gentium
    libreoffice-filter-mobiledev libreoffice-filter-binfilter
    libreoffice-officebean
    НОВЫЕ пакеты, которые будут установлены:
    libreoffice
    обновлено 0, установлено 1 новых пакетов, для удаления отмечено 0 пакетов, и 19 пакетов не обновлено.
    Необходимо скачать 29,8 kБ архивов.
    После данной операции, объём занятого дискового пространства возрастёт на 170 kB.
    Получено:1 http://archive.ubuntu.com/ubuntu/ quantal-updates/universe libreoffice i386 1:3.6.2~rc2-0ubuntu4 [29,8 kB]
    Получено 29,8 kБ за 0с (159 kБ/c)
    Выбор ранее не выбранного пакета libreoffice.
    (Чтение базы данных ... на данный момент установлено 207634 файла и каталога.)
    Распаковывается пакет libreoffice (из файла .../libreoffice_1%3a3.6.2~rc2-0ubuntu4_i386.deb)...
    Настраивается пакет libreoffice (1:3.6.2~rc2-0ubuntu4)

    ОтветитьУдалить
    Ответы
    1. Не надо удалять. При установке что надо само удаляется. У меня удалилось.

      Удалить
    2. Тогда, что можете посоветовать попробовать? Команды копировал из статьи, но в результате добавился лишь один пакет к существующей версии, и ни о каком глобальном обновлении речи нет.

      Удалить
    3. Попробуй удали предыдущую версию командой: sudo apt-get purge libreoffice-core
      А затем выполни ещё раз команды на установку из статьи.

      Удалить
    4. Благодарствую! Приду с работы - обязательно попробую.

      Удалить
    5. Просто непруха какая-то... Сделал как Вы советовали. После ввода команды на добавления репозитария вышло:
      О добавлении следующего PPA в систему:
      This ppa contains alpha and beta release (before the 3.X.0/4.X.0 release). Only for the most brave and courageous!

      to test these do:
      sudo apt-get purge libreoffice-core
      sudo add-apt-repository ppa:libreoffice/libreoffice-prereleases
      sudo apt-get update
      sudo apt-get install libreoffice

      ну, думаю, счас....
      выполнил всё по написанному, а оно как ни в чём не бывало. Снова установило версию 3.6.2.2 (ID сборки: 360m1(Build:2)) Убиться можно (((

      Удалить
  5. Как можно мне исправить эту ситуацию:
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    libreoffice : Зависит: fonts-dejavu но он не может быть установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    ОтветитьУдалить
  6. забыл сказать:
    ubuntu - 13.04
    ядро - 3.10
    версия libreoffice - 4.0.2.2 (ID сборки: 400m0(Build:2))

    ОтветитьУдалить
  7. сорри. не заметил аналог проблемы в статье

    ОтветитьУдалить
  8. Да, надо запустить Менеджер обновлений, у меня он сам запустился. И тогда версия обновляется.

    ОтветитьУдалить
  9. После установки пропала встроенная справка и язык интерфейса стал на английском. Установка langpack и helppack не помогает. В Language of User interface только английский. Перезагрузка тоже не помогла. Знатоки, внимание! Вопрос: Что делать?

    ОтветитьУдалить
    Ответы
    1. Открой Параметры системы - Язык системы, возможно там будет предложено установить дополнительно русский язык для Libre Office.

      Удалить
    2. Огромнейшее спасибо!!! Помогло. Правда не русский язык, а украинский)))
      И как Вы находите решения таких вот проблем?!!

      Удалить
    3. Опыт настроек и управления системой приходит постепенно. Это нормальное явление. На Linux я уже 5 лет. Надеюсь и к тебе придёт опыт через какое-то время.

      Удалить
  10. Спасибо Админу! Все работает.

    ОтветитьУдалить